Intermittent TEST-UNEXPECTED-TIMEOUT | /html/dom/elements/global-attributes/dir_auto-input-R.html | expected PASS after Assertion failure: removedCount <= gUnusedAtomCount, at xpcom/ds/nsAtomTable.cpp:432

RESOLVED WORKSFORME

Status

Testing
web-platform-tests
P4
normal
RESOLVED WORKSFORME
11 months ago
9 months ago

People

(Reporter: Treeherder Bug Filer, Unassigned)

Tracking

({intermittent-failure})

Version 3
intermittent-failure
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

There is an assertion right before when loading the web page:

[task 2017-07-14T12:35:00.632407Z] 12:35:00     INFO - PID 2315 | Assertion failure: removedCount <= gUnusedAtomCount, at /home/worker/workspace/build/src/xpcom/ds/nsAtomTable.cpp:432
[task 2017-07-14T12:35:00.741526Z] 12:35:00     INFO - PID 2315 | #01: DynamicAtom::GCAtomTable() (/home/worker/workspace/build/application/firefox/libxul.so)
[task 2017-07-14T12:35:00.749606Z] 12:35:00     INFO - PID 2315 | #02: DynamicAtom::Release() (/home/worker/workspace/build/application/firefox/libxul.so)
[task 2017-07-14T12:35:00.753427Z] 12:35:00     INFO - PID 2315 | #03: mozilla::BasePrincipal::~BasePrincipal() (/home/worker/workspace/build/application/firefox/libxul.so)
[task 2017-07-14T12:35:00.761404Z] 12:35:00     INFO - PID 2315 | #04: NullPrincipal::~NullPrincipal() (/home/worker/workspace/build/application/firefox/libxul.so)
[task 2017-07-14T12:35:00.769390Z] 12:35:00     INFO - PID 2315 | #05: nsJSPrincipals::Release() (/home/worker/workspace/build/application/firefox/libxul.so)
[task 2017-07-14T12:35:00.777448Z] 12:35:00     INFO - PID 2315 | #06: mozilla::StyleSheet::SetPrincipal(nsIPrincipal*) (/home/worker/workspace/build/application/firefox/libxul.so)
[task 2017-07-14T12:35:00.785625Z] 12:35:00     INFO - PID 2315 | #07: mozilla::css::Loader::LoadInlineStyle(nsIContent*, nsAString const&, unsigned int, nsAString const&, nsAString const&, mozilla::dom::Element*, nsICSSLoaderObserver*, bool*, bool*) (/home/worker/workspace/build/application/firefox/libxul.so)
[task 2017-07-14T12:35:00.793606Z] 12:35:00     INFO - PID 2315 | #08: nsStyleLinkElement::DoUpdateStyleSheet(nsIDocument*, mozilla::dom::ShadowRoot*, nsICSSLoaderObserver*, bool*, bool*, bool) (/home/worker/workspace/build/application/firefox/libxul.so)
[task 2017-07-14T12:35:00.802130Z] 12:35:00     INFO - PID 2315 | #09: nsStyleLinkElement::UpdateStyleSheet(nsICSSLoaderObserver*, bool*, bool*, bool) (/home/worker/workspace/build/application/firefox/libxul.so)
[task 2017-07-14T12:35:00.810166Z] 12:35:00     INFO - PID 2315 | #10: nsHtml5DocumentBuilder::UpdateStyleSheet(nsIContent*) (/home/worker/workspace/build/application/firefox/libxul.so)
[task 2017-07-14T12:35:00.814037Z] 12:35:00     INFO - PID 2315 | #11: nsHtml5TreeOperation::Perform(nsHtml5TreeOpExecutor*, nsIContent**, bool*) (/home/worker/workspace/build/application/firefox/libxul.so)
[task 2017-07-14T12:35:00.822328Z] 12:35:00     INFO - PID 2315 | #12: nsHtml5TreeOpExecutor::RunFlushLoop() (/home/worker/workspace/build/application/firefox/libxul.so)
[task 2017-07-14T12:35:00.830285Z] 12:35:00     INFO - PID 2315 | #13: nsHtml5ExecutorFlusher::Run() (/home/worker/workspace/build/application/firefox/libxul.so)
[task 2017-07-14T12:35:00.838273Z] 12:35:00     INFO - PID 2315 | #14: mozilla::SchedulerGroup::Runnable::Run() (/home/worker/workspace/build/application/firefox/libxul.so)
[task 2017-07-14T12:35:00.846223Z] 12:35:00     INFO - PID 2315 | #15: nsThread::ProcessNextEvent(bool, bool*) [clone .part.235] (/home/worker/workspace/build/application/firefox/libxul.so)
[task 2017-07-14T12:35:00.850010Z] 12:35:00     INFO - PID 2315 | #16: NS_ProcessNextEvent(nsIThread*, bool) (/home/worker/workspace/build/application/firefox/libxul.so)
[task 2017-07-14T12:35:00.858471Z] 12:35:00     INFO - PID 2315 | #17: mozilla::ipc::MessagePump::Run(base::MessagePump::Delegate*) (/home/worker/workspace/build/application/firefox/libxul.so)
[task 2017-07-14T12:35:00.866558Z] 12:35:00     INFO - PID 2315 | #18: MessageLoop::RunInternal() (/home/worker/workspace/build/application/firefox/libxul.so)
[task 2017-07-14T12:35:00.874785Z] 12:35:00     INFO - PID 2315 | #19: MessageLoop::Run() (/home/worker/workspace/build/application/firefox/libxul.so)
[task 2017-07-14T12:35:00.880195Z] 12:35:00     INFO - PID 2315 | #20: nsBaseAppShell::Run() (/home/worker/workspace/build/application/firefox/libxul.so)
[task 2017-07-14T12:35:00.886074Z] 12:35:00     INFO - PID 2315 | #21: XRE_RunAppShell() (/home/worker/workspace/build/application/firefox/libxul.so)
[task 2017-07-14T12:35:00.902196Z] 12:35:00     INFO - PID 2315 | #22: mozilla::ipc::MessagePumpForChildProcess::Run(base::MessagePump::Delegate*) (/home/worker/workspace/build/application/firefox/libxul.so)
[task 2017-07-14T12:35:00.904123Z] 12:35:00     INFO - PID 2315 | #23: MessageLoop::RunInternal() (/home/worker/workspace/build/application/firefox/libxul.so)
[task 2017-07-14T12:35:00.904476Z] 12:35:00     INFO - PID 2315 | #24: MessageLoop::Run() (/home/worker/workspace/build/application/firefox/libxul.so)
[task 2017-07-14T12:35:00.904840Z] 12:35:00     INFO - PID 2315 | #25: XRE_InitChildProcess(int, char**, XREChildData const*) (/home/worker/workspace/build/application/firefox/libxul.so)
[task 2017-07-14T12:35:00.944812Z] 12:35:00     INFO - PID 2315 | #26: content_process_main(mozilla::Bootstrap*, int, char**) (/home/worker/workspace/build/application/firefox/firefox)
[task 2017-07-14T12:35:00.946292Z] 12:35:00     INFO - PID 2315 | #27: main (/home/worker/workspace/build/application/firefox/firefox)
[task 2017-07-14T12:35:02.879741Z] 12:35:02     INFO - PID 2315 | #28: __libc_start_main (/build/glibc-9tT8Do/glibc-2.23/csu/../csu/libc-start.c:325)
[task 2017-07-14T12:35:02.880105Z] 12:35:02     INFO - PID 2315 | #29: _start (/home/worker/workspace/build/application/firefox/firefox)
[task 2017-07-14T12:35:02.880478Z] 12:35:02     INFO - PID 2315 | 
[task 2017-07-14T12:35:02.881087Z] 12:35:02     INFO - PID 2315 | ###!!! [Parent][MessageChannel] Error: (msgtype=0x28007E,name=PBrowser::Msg_Destroy) Channel error: cannot send/recv

It seems to finally cause the message channel to die.
Summary: Intermittent TEST-UNEXPECTED-TIMEOUT | /html/dom/elements/global-attributes/dir_auto-input-R.html | expected PASS → Intermittent TEST-UNEXPECTED-TIMEOUT | /html/dom/elements/global-attributes/dir_auto-input-R.html | expected PASS after Assertion failure: removedCount <= gUnusedAtomCount, at xpcom/ds/nsAtomTable.cpp:432
Blocks: 1381405
No longer blocks: 1341102
Priority: -- → P4

Comment 2

11 months ago
3 failures in 822 pushes (0.004 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 2
* try: 1

Platform breakdown:
* linux64-stylo: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1381397&startday=2017-07-17&endday=2017-07-23&tree=all

Comment 3

11 months ago
3 failures in 1008 pushes (0.003 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 2
* mozilla-central: 1

Platform breakdown:
* linux64-stylo: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1381397&startday=2017-07-24&endday=2017-07-30&tree=all
Resolving intermittent Stylo test failure bugs that haven't had any recent activity.
Status: NEW → RESOLVED
Last Resolved: 9 months ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.